> ## Documentation Index
> Fetch the complete documentation index at: https://www.cometchat.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

> Push notification : Get settings for Push notifications extension.

# Push notification Get settings

For the complete error reference, see [Error Guide](/rest-api/management-apis/error-codes).


## OpenAPI

````yaml get /apps/{appId}/extensions/push-notification/v1/settings
openapi: 3.0.0
info:
  title: Management APIs (Multi-Tenancy)
  description: Create and manage apps on-the-fly using our app management APIs
  version: '1.0'
servers:
  - url: https://apimgmt.cometchat.io
security: []
tags:
  - name: App
    description: The Rest collection for app.
  - name: Extensions
    description: The REST collections for extensions.
  - name: Extensions
    description: The REST collections for Chat widgets.
  - name: Extensions
    description: The REST collections for Giphy extension.
  - name: Extensions
    description: The REST collections for XSS Filter extension.
  - name: Extensions
    description: The REST collections for Image Moderation extension.
  - name: Extensions
    description: The REST collections for Report user extension.
  - name: Extensions
    description: The REST collections for Report message extension.
  - name: Extensions
    description: The REST collections for Sentiment analysis extension.
  - name: Extensions
    description: The REST collections for Voice transcription extension.
  - name: Extensions
    description: The REST collections for Stipop extension.
  - name: Extensions
    description: The REST collections for TinyURL extension.
  - name: Extensions
    description: The REST collections for Intercom extension.
  - name: Extensions
    description: The REST collections for Bitly extension.
  - name: Extensions
    description: The REST collections for Rich media preview extension.
  - name: Extensions
    description: The REST collections for Virus Malware Scanner extension.
  - name: Extensions
    description: The REST collections for Video Broadcasting extension.
  - name: Extensions
    description: The REST collections for Tenor gifs extension.
  - name: Extensions
    description: The REST collections for End-to-end encryption extension.
  - name: Extensions
    description: The REST collections for In-flight message moderation extension.
  - name: Extensions
    description: The REST collections for Stickers extension.
  - name: Extensions
    description: The REST collections for Data masking extension.
  - name: Extensions
    description: The REST collections for Email replies extension.
  - name: Extensions
    description: The REST collections for SMS Notification extension.
  - name: Extensions
    description: The REST collections for Push notification extension.
  - name: Extensions
    description: The REST collections for Chatwoot extension.
  - name: Extensions
    description: The REST collections for Message shortcuts extension.
  - name: Extensions
    description: The REST collections for Email Notification extension.
  - name: Team Management
    description: The REST collections for team management.
  - name: Settings
    description: The REST collections for Settings.
  - name: Extensions
    description: The REST collections for Profanity-filter extension.
  - name: Webhooks
    description: The REST collections for Webhooks.
  - name: Moderation
    description: The REST collections for Moderations.
paths:
  /apps/{appId}/extensions/push-notification/v1/settings:
    get:
      tags:
        - Extensions
      summary: Push notification Get settings
      description: 'Push notification : Get settings for Push notifications extension.'
      operationId: get-settings-push-notification
      parameters:
        - $ref: '#/components/parameters/key'
        - $ref: '#/components/parameters/secret'
        - $ref: '#/components/parameters/appId'
      responses:
        '200':
          description: Get Push Notification Settings
          content:
            application/json:
              schema:
                properties:
                  data:
                    properties:
                      '':
                        $ref: '#/components/schemas/pushNotificationGetSchema'
                    type: object
                type: object
              examples:
                abc:
                  $ref: '#/components/examples/pushNotificationResponseExample'
components:
  parameters:
    key:
      name: key
      in: header
      description: Authorization Key
      required: true
      schema:
        type: string
    secret:
      name: secret
      in: header
      description: Authorization Secret
      required: true
      schema:
        type: string
    appId:
      name: appId
      in: path
      description: AppID in which the extension has to be enabled/disabled
      required: true
      schema:
        type: string
  schemas:
    pushNotificationGetSchema:
      properties:
        statusCode:
          type: integer
        success:
          type: boolean
        responseTime:
          type: number
        body:
          properties:
            data:
              properties:
                settings:
                  properties:
                    version:
                      description: >-
                        2: Token-based (Recommended) | 0: Topic-based +
                        Token-based | 1: Topic-based (Legacy)
                      type: number
                      default: 2
                    pushProvider:
                      description: '1: FCM | 2: APNs | 0: FCM+APNs'
                      type: number
                      default: 1
                    fcmServerKey:
                      type: string
                    notificationInPayload:
                      properties:
                        web:
                          description: Include 'notification' key for Web
                          type: boolean
                          default: true
                        android:
                          description: Include 'notification' key for Android
                          type: boolean
                          default: false
                        ionic_cordova:
                          description: Include 'notification' key for Ionic
                          type: boolean
                          default: true
                        react_native:
                          description: Include 'notification' key for React native
                          type: boolean
                          default: false
                        ios:
                          description: Include 'notification' key for iOS
                          type: boolean
                          default: true
                      type: object
                    useP8:
                      type: boolean
                    keyId:
                      type: string
                    teamId:
                      type: string
                    bundleId:
                      type: string
                    sendApnsProduction:
                      type: boolean
                    sendNewMessageNotification:
                      type: boolean
                    sendEditMessageNotification:
                      type: boolean
                    sendDeleteMessageNotification:
                      type: boolean
                    sendThreadedMessageNotification:
                      type: boolean
                    sendIncomingCallNotification:
                      type: boolean
                    sendMissedCallNotification:
                      type: boolean
                    sendMemberJoinedNotification:
                      type: boolean
                    sendMemberLeftNotification:
                      type: boolean
                    sendMemberKickedNotification:
                      type: boolean
                    sendMemberBannedNotification:
                      type: boolean
                    sendMemberUnbannedNotification:
                      type: boolean
                    sendMemberAddedNotification:
                      type: boolean
                    sendMemberScopeChangedNotification:
                      type: boolean
                    appId:
                      type: string
                  type: object
              type: object
          type: object
      type: object
  examples:
    pushNotificationResponseExample:
      summary: PN Response
      value:
        settings:
          version: 2
          pushProvider: 1
          fcmCredentials:
            project_id: project_id
            client_email: client_email
            private_key: private_key
            private_key_id: private_key_id
          notificationInPayload:
            web: true
            android: true
            ionic_cordova: true
            react_native: false
            ios: true
            flutter: true
          useP8: true
          sendApnsProduction: true
          sendNewMessageNotification: true
          sendEditMessageNotification: false
          sendDeleteMessageNotification: false
          sendThreadedMessageNotification: true
          sendIncomingCallNotification: true
          sendMissedCallNotification: true
          sendMemberJoinedNotification: true
          sendMemberLeftNotification: true
          sendMemberKickedNotification: true
          sendMemberBannedNotification: true
          sendMemberUnbannedNotification: true
          sendMemberAddedNotification: true
          sendMemberScopeChangedNotification: false
          keyId: key_id
          teamId: team_id
          bundleId: bundle_id
          appId: abcd
          cometchatMessagePayloadOptions:
            skipSenderMetadata: false
            skipReceiverMetadata: false
            skipMessageMetadata: false
            trimMessageText: true

````